Module org.hsqldb
Package org.hsqldb.lib

## Class DataOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.BufferedOutputStream
      - - org.hsqldb.lib.DataOutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataOutput`, `java.io.Flushable`, `java.lang.AutoCloseable`

      public class DataOutputStream
      extends java.io.BufferedOutputStream
      implements java.io.DataOutput

  A wrapper for OutputStream
  Since:
    1.9.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataOutputStream​(java.io.OutputStream stream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `write​(java.io.InputStream inputStream, long length)` |
    `long` | `write​(java.io.Reader reader, long length)` |
    `void` | `writeBoolean​(boolean v)` |
    `void` | `writeByte​(int v)` |
    `void` | `writeBytes​(java.lang.String s)` |
    `void` | `writeChar​(int v)` |
    `void` | `writeChars​(char[] c)` |
    `void` | `writeChars​(char[] c, int length)` |
    `void` | `writeChars​(java.lang.String s)` |
    `void` | `writeDouble​(double v)` |
    `void` | `writeFloat​(float v)` |
    `void` | `writeInt​(int v)` |
    `void` | `writeLong​(long v)` |
    `void` | `writeShort​(int v)` |
    `void` | `writeUTF​(java.lang.String str)` |

    - ### Methods inherited from class java.io.BufferedOutputStream

      `flush, write, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, write`

    - ### Methods inherited from class java.io.OutputStream

      `nullOutputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write`

- - ### Constructor Detail

    - #### DataOutputStream

          public DataOutputStream​(java.io.OutputStream stream)

  - ### Method Detail

    - #### writeByte

          public final void writeByte​(int v)
                               throws java.io.IOException

      Specified by:
        `writeByte` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeInt

          public final void writeInt​(int v)
                              throws java.io.IOException

      Specified by:
        `writeInt` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeLong

          public final void writeLong​(long v)
                               throws java.io.IOException

      Specified by:
        `writeLong` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChar

          public void writeChar​(int v)
                         throws java.io.IOException

      Specified by:
        `writeChar` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChars

          public void writeChars​(java.lang.String s)
                          throws java.io.IOException

      Specified by:
        `writeChars` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChars

          public void writeChars​(char[] c)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeChars

          public void writeChars​(char[] c,
                                 int length)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public long write​(java.io.Reader reader,
                            long length)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public long write​(java.io.InputStream inputStream,
                            long length)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBoolean

          public void writeBoolean​(boolean v)
                            throws java.io.IOException

      Specified by:
        `writeBoolean` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeShort

          public void writeShort​(int v)
                          throws java.io.IOException

      Specified by:
        `writeShort` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeFloat

          public void writeFloat​(float v)
                          throws java.io.IOException

      Specified by:
        `writeFloat` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeDouble

          public void writeDouble​(double v)
                           throws java.io.IOException

      Specified by:
        `writeDouble` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeBytes

          public void writeBytes​(java.lang.String s)
                          throws java.io.IOException

      Specified by:
        `writeBytes` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeUTF

          public void writeUTF​(java.lang.String str)
                        throws java.io.IOException

      Specified by:
        `writeUTF` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`